cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mshu...@apache.org
Subject cassandra-builds git commit: Set ||true on git commands that may fail expectedly
Date Tue, 03 Jul 2018 00:23:11 GMT
Repository: cassandra-builds
Updated Branches:
  refs/heads/master 5d4617ba5 -> ed814a148


Set ||true on git commands that may fail expectedly


Project: http://git-wip-us.apache.org/repos/asf/cassandra-builds/repo
Commit: http://git-wip-us.apache.org/repos/asf/cassandra-builds/commit/ed814a14
Tree: http://git-wip-us.apache.org/repos/asf/cassandra-builds/tree/ed814a14
Diff: http://git-wip-us.apache.org/repos/asf/cassandra-builds/diff/ed814a14

Branch: refs/heads/master
Commit: ed814a14872efce72816f94083708c18d42ee7a2
Parents: 5d4617b
Author: Michael Shuler <michael@pbandjelly.org>
Authored: Mon Jul 2 19:22:03 2018 -0500
Committer: Michael Shuler <michael@pbandjelly.org>
Committed: Mon Jul 2 19:22:03 2018 -0500

----------------------------------------------------------------------
 docker/build-debs.sh | 6 +++---
 docker/build-rpms.sh | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cassandra-builds/blob/ed814a14/docker/build-debs.sh
----------------------------------------------------------------------
diff --git a/docker/build-debs.sh b/docker/build-debs.sh
index c1dd469..7da1d97 100755
--- a/docker/build-debs.sh
+++ b/docker/build-debs.sh
@@ -2,7 +2,7 @@
 set -e
 
 if [ "$#" -ne 1 ]; then
-   echo "build-debs.sh <branch>"
+   echo "$0 <branch>"
    exit 1
 fi
 
@@ -14,8 +14,8 @@ git checkout $CASSANDRA_BRANCH || exit 1
 
 # Used version for build will always depend on the git referenced used for checkout above
 # Branches will always be created as snapshots, while tags are releases
-tag=`git describe --tags --exact-match` 2> /dev/null
-branch=`git symbolic-ref -q --short HEAD` 2> /dev/null
+tag=`git describe --tags --exact-match` 2> /dev/null || true
+branch=`git symbolic-ref -q --short HEAD` 2> /dev/null || true
 
 is_tag=false
 is_branch=false

http://git-wip-us.apache.org/repos/asf/cassandra-builds/blob/ed814a14/docker/build-rpms.sh
----------------------------------------------------------------------
diff --git a/docker/build-rpms.sh b/docker/build-rpms.sh
index 2cd3049..8b083c9 100755
--- a/docker/build-rpms.sh
+++ b/docker/build-rpms.sh
@@ -1,8 +1,8 @@
 #!/bin/bash -x
-#set -eu
+set -e
 
 if [ "$#" -ne 1 ]; then
-   echo "build-rpms.sh branch"
+   echo "$0 <branch>"
    exit 1
 fi
 
@@ -14,8 +14,8 @@ git checkout $CASSANDRA_BRANCH || exit 1
 
 # Used version for build will always depend on the git referenced used for checkout above
 # Branches will always be created as snapshots, while tags are releases
-tag=`git describe --tags --exact-match` 2> /dev/null
-branch=`git symbolic-ref -q --short HEAD` 2> /dev/null
+tag=`git describe --tags --exact-match` 2> /dev/null || true
+branch=`git symbolic-ref -q --short HEAD` 2> /dev/null || true
 
 is_tag=false
 is_branch=false


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cassandra.apache.org
For additional commands, e-mail: commits-help@cassandra.apache.org


Mime
View raw message